#
# spec file for package python-sphinxcontrib-svg2pdfconverter
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-sphinxcontrib-svg2pdfconverter
Version:        1.2.3
Release:        1.3
Summary:        Sphinx SVG to PDF converter extension
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/missinglinkelectronics/sphinxcontrib-svg2pdfconverter
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-svg2pdfconverter/sphinxcontrib_svg2pdfconverter-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx >= 1.6.3}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 1.6.3
Recommends:     python-CairoSVG >= 1.0
BuildArch:      noarch
%python_subpackages

%description
Sphinx SVG to PDF converter extension

%prep
%autosetup -p1 -n sphinxcontrib_svg2pdfconverter-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/sphinxcontrib
%{python_sitelib}/sphinxcontrib*.pth
%{python_sitelib}/sphinxcontrib_svg2pdfconverter-%{version}.dist-info

%changelog
* Sun Nov 10 2024 Dirk Müller <dmueller@suse.com>
- update to 1.2.3:
  * provide support for RSVG converter's ``--format`` argument. In
    more recent RSVG builds, the ``pdf1.5`` format will generate
    the fewest warnings with LaTeX backends. By default, this is
    ``pdf``.
* Thu May  4 2023 Dirk Müller <dmueller@suse.com>
- update to 1.2.2:
  * update mail address
* Sat Oct 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 1.2.1
  * Update license text
  * Fix InkscapeConverter is_available handling due to changed function call order in sphinx 3.x and above
* Mon Nov 29 2021 Dirk Müller <dmueller@suse.com>
- update to 1.2.0:
  * Match inkscape version number only
  * Fix CairSVGConverter::convert for usage on Windows
* Sat Jul 17 2021 Dirk Müller <dmueller@suse.com>
- update to 1.1.1:
  * Use errno symbols from standard library
* Tue Jul 28 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.1.0
  * Add CairoSVG converter
* Mon Sep 16 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.1:
  * drop python2 support
  * various metadata updates
* Thu Aug 22 2019 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 0.1.0)
